Bug 20037 - Switch single-column templates to Bootstrap grid: Serials
Summary: Switch single-column templates to Bootstrap grid: Serials
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks: 19980
  Show dependency treegraph
 
Reported: 2018-01-18 18:31 UTC by Owen Leonard
Modified: 2018-03-23 00:59 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20037: Switch single-column templates to Bootstrap grid: Serials (4.53 KB, patch)
2018-01-18 19:21 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20037: Switch single-column templates to Bootstrap grid: Serials (4.40 KB, patch)
2018-02-06 19:09 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20037: Switch single-column templates to Bootstrap grid: Serials (4.46 KB, patch)
2018-02-08 14:36 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 20037: Switch single-column templates to Bootstrap grid: Serials (4.54 KB, patch)
2018-02-18 14:04 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-01-18 18:31:51 UTC
There are several single-column Circulation templates which can be updated to use the Bootstrap grid.

- serials\acqui-search-result.tt
- serials\acqui-search.tt
- serials\result.tt
- serials\subscription-bib-search.tt
Comment 1 Owen Leonard 2018-01-18 19:21:31 UTC Comment hidden (obsolete)
Comment 2 Claire Gravely 2018-01-24 07:20:10 UTC
hiya,
acqui-search.tt is mising the bootstrap grid.
Comment 3 Claire Gravely 2018-01-24 12:14:35 UTC
(In reply to Claire Gravely from comment #2)
> hiya,
> acqui-search.tt is mising the bootstrap grid.

Ignore that. Everything is lovely!
Comment 4 Claire Gravely 2018-01-24 12:19:32 UTC
(In reply to Claire Gravely from comment #3)
> (In reply to Claire Gravely from comment #2)
> > hiya,
> > acqui-search.tt is mising the bootstrap grid.
> 
> Ignore that. Everything is lovely!

Sorry, double checked the wrong bit :| It does seem to be missing.
Comment 5 Owen Leonard 2018-02-06 19:09:55 UTC
Created attachment 71269 [details] [review]
Bug 20037: Switch single-column templates to Bootstrap grid: Serials

This patch updates several single-column Serials module templates to
use the Bootstrap grid. In addition to grid changes, some templates have
been modified to include the footer with the correct popup parameter.

- serials\acqui-search.tt - Go to Serials -> New subscription. Click
  "Search for a vendor."

- serials\acqui-search-result.tt - Vendor search results

- serials\result.tt - Click "Search for record."

- serials\subscription-bib-search.tt - Catalog search results.

Each of these pages should look correct.
Comment 6 Owen Leonard 2018-02-06 19:20:11 UTC
I submitted a follow-up to make this patch more consistent, but: It's not that acqui-search.tt was missing the Bootstrap grid, it's that it has minimal Bootstrap markup because it's a very simple template. It's not really necessary to define columns and rows when there aren't multiples of either.
Comment 7 Claire Gravely 2018-02-08 14:36:31 UTC
Created attachment 71350 [details] [review]
Bug 20037: Switch single-column templates to Bootstrap grid: Serials

This patch updates several single-column Serials module templates to
use the Bootstrap grid. In addition to grid changes, some templates have
been modified to include the footer with the correct popup parameter.

- serials\acqui-search.tt - Go to Serials -> New subscription. Click
  "Search for a vendor."

- serials\acqui-search-result.tt - Vendor search results

- serials\result.tt - Click "Search for record."

- serials\subscription-bib-search.tt - Catalog search results.

Each of these pages should look correct.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 8 Katrin Fischer 2018-02-18 14:04:11 UTC
Created attachment 71908 [details] [review]
Bug 20037: Switch single-column templates to Bootstrap grid: Serials

This patch updates several single-column Serials module templates to
use the Bootstrap grid. In addition to grid changes, some templates have
been modified to include the footer with the correct popup parameter.

- serials\acqui-search.tt - Go to Serials -> New subscription. Click
  "Search for a vendor."

- serials\acqui-search-result.tt - Vendor search results

- serials\result.tt - Click "Search for record."

- serials\subscription-bib-search.tt - Catalog search results.

Each of these pages should look correct.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Jonathan Druart 2018-02-18 19:50:33 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 10 Nick Clemens 2018-03-23 00:59:22 UTC
Enhancement, not backported for 17.11